## net.sf.jftp.system
Class CommandLine

    java.lang.Object
      net.sf.jftp.system.CommandLine

All Implemented Interfaces:
  java.lang.Runnable, EventHandler, FtpEventConstants

    public class CommandLine

extends java.lang.Object
implements java.lang.Runnable, EventHandler, FtpEventConstants

Field Summary

Fields inherited from interface net.sf.jftp.event.FtpEventConstants
`FTPCommand, FTPPrompt, FTPShutdown`

Constructor Summary
`CommandLine()`

Method Summary
`boolean` `handle(Event e)`
`static void` `main(java.lang.String[] argv)`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLine

    public CommandLine()

Method Detail

### handle

    public boolean handle(Event e)

  Specified by:
    `handle` in interface `EventHandler`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### main

    public static void main(java.lang.String[] argv)